<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccExpenseClaim extends Eloquent {

	protected $table = 'acc_expense_claim';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('user_id', 'date', 'reference', 'paid_by_id', 'balance_sheet_account_id', 'payee', 'currency_id', 'description', 'amount', 'footer_id', 'paid_by_type');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function footer()
	{
		return $this->belongsTo('AccFooter', 'footer_id');
	}

	public function balance_sheet_account()
	{
		return $this->belongsTo('AccBalanceSheetAccount', 'balance_sheet_account_id');
	}

	public function paid_by()
	{
		return $this->belongsTo('AccExpenseClaimPayers', 'paid_by_id');
	}

	public function items()
	{
		return $this->hasMany('AccItem', 'expense_claim_id');
	}

	public function currency()
	{
		return $this->belongsTo('AccCurrency', 'currency_id');
	}

}