<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccSpecialAccount extends Eloquent {

	protected $table = 'acc_special_account';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('name', 'code', 'currency_id', 'division_id', 'place_id', 'division_place_id', 'user_id', 'balance_sheet_id', 'control_account_id', 'starting_balance', 'balance_type', 'status', 'balance');

	public function control_account()
	{
		return $this->belongsTo('AccControlAccount', 'control_account_id');
	}

	public function balance_sheet()
	{
		return $this->belongsTo('AccBalanceSheet', 'balance_sheet_id');
	}

	public function division()
	{
		return $this->belongsTo('AccDivision', 'division_id');
	}

	public function place()
	{
		return $this->belongsTo('AccPlace', 'place_id');
	}

	public function division_place()
	{
		return $this->belongsTo('AccDivisionPlace', 'division_place_id');
	}

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function currency()
	{
		return $this->belongsTo('AccCurrency', 'currency_id');
	}

}